Storyden
Admin

Audit Event List

List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.

GET/admin/audit-events

List audit events for the installation. Audit events track important actions taken by accounts with elevated permissions such as admin accounts and moderators. It also provides error logs for system internal components that could not be responded to the client directly such as background job failures and configuration issues.

storyden-session<token>

In: cookie

Query Parameters

page?string

Pagination query parameters.

types?array<>

Audit event type filter query

range?string

Audit event time range query

Response Body

application/json

application/json

curl -X GET "https://example.com/admin/audit-events"
{
  "page_size": 0,
  "results": 0,
  "total_pages": 0,
  "current_page": 0,
  "next_page": 0,
  "events": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "timestamp": "2019-08-24T14:15:22Z",
      "enacted_by": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      },
      "type": "thread_deleted",
      "thread_id": "cc5lnd2s1s4652adtu50"
    }
  ]
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}